package com.mortals.xhx.module.platform.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:PlatformModelinfo
* date: 2021-9-3 10:13:58
*/
public class PlatformModelinfoEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630635238163L;


    /**
    * 模型id
    */
    private String modelId;

    /**
    * 流程定义key
    */
    private String processDefinitionKey;

    /**
    * 
    */
    private String name;

    /**
    * 分类名称
    */
    private String categoryName;

    /**
    * 模型key
    */
    private String modelKey;

    /**
    * 业务系统标识
    */
    private String platformSn;

    /**
    * bpmn模型xml文件
    */
    private String bpmnXml;

    /**
    * 流程部署Id
    */
    private String deployId;

    /**
    * 关联动态表单Id
    */
    private String formId;

    /**
    * 状态,1.未部署，2.已部署，3.停用
    */
    private Integer status;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private Long createUserId;

    /**
    * 创建用户名称
    */
    private String createUserName;

    public PlatformModelinfoEntity(){

    }
    /**
    * 获取 模型id
    * @return modelId
    */
    public String getModelId() {
        return this.modelId;
    }
    /**
    * 设置 模型id
    * @param modelId
    */
    public void setModelId(String modelId) {
        this.modelId = modelId;
    }
    /**
    * 获取 流程定义key
    * @return processDefinitionKey
    */
    public String getProcessDefinitionKey() {
        return this.processDefinitionKey;
    }
    /**
    * 设置 流程定义key
    * @param processDefinitionKey
    */
    public void setProcessDefinitionKey(String processDefinitionKey) {
        this.processDefinitionKey = processDefinitionKey;
    }
    /**
    * 获取 
    * @return name
    */
    public String getName() {
        return this.name;
    }
    /**
    * 设置 
    * @param name
    */
    public void setName(String name) {
        this.name = name;
    }
    /**
    * 获取 分类名称
    * @return categoryName
    */
    public String getCategoryName() {
        return this.categoryName;
    }
    /**
    * 设置 分类名称
    * @param categoryName
    */
    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
    /**
    * 获取 模型key
    * @return modelKey
    */
    public String getModelKey() {
        return this.modelKey;
    }
    /**
    * 设置 模型key
    * @param modelKey
    */
    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }
    /**
    * 获取 业务系统标识
    * @return platformSn
    */
    public String getPlatformSn() {
        return this.platformSn;
    }
    /**
    * 设置 业务系统标识
    * @param platformSn
    */
    public void setPlatformSn(String platformSn) {
        this.platformSn = platformSn;
    }
    /**
    * 获取 bpmn模型xml文件
    * @return bpmnXml
    */
    public String getBpmnXml() {
        return this.bpmnXml;
    }
    /**
    * 设置 bpmn模型xml文件
    * @param bpmnXml
    */
    public void setBpmnXml(String bpmnXml) {
        this.bpmnXml = bpmnXml;
    }
    /**
    * 获取 流程部署Id
    * @return deployId
    */
    public String getDeployId() {
        return this.deployId;
    }
    /**
    * 设置 流程部署Id
    * @param deployId
    */
    public void setDeployId(String deployId) {
        this.deployId = deployId;
    }
    /**
    * 获取 关联动态表单Id
    * @return formId
    */
    public String getFormId() {
        return this.formId;
    }
    /**
    * 设置 关联动态表单Id
    * @param formId
    */
    public void setFormId(String formId) {
        this.formId = formId;
    }
    /**
    * 获取 状态,1.未部署，2.已部署，3.停用
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 状态,1.未部署，2.已部署，3.停用
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建用户
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }
    /**
    * 获取 创建用户名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof PlatformModelinfoEntity) {
            PlatformModelinfoEntity tmp = (PlatformModelinfoEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",modelId:").append(getModelId())
                .append(",processDefinitionKey:").append(getProcessDefinitionKey())
                .append(",name:").append(getName())
                .append(",categoryName:").append(getCategoryName())
                .append(",modelKey:").append(getModelKey())
                .append(",platformSn:").append(getPlatformSn())
                .append(",bpmnXml:").append(getBpmnXml())
                .append(",deployId:").append(getDeployId())
                .append(",formId:").append(getFormId())
                .append(",status:").append(getStatus())
                .append(",createTime:").append(getCreateTime())
                .append(",createUserId:").append(getCreateUserId())
                .append(",createUserName:").append(getCreateUserName())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.modelId = null;

         this.processDefinitionKey = null;

         this.name = null;

         this.categoryName = null;

         this.modelKey = null;

         this.platformSn = null;

         this.bpmnXml = null;

         this.deployId = null;

         this.formId = null;

         this.status = null;

         this.createTime = null;

         this.createUserId = null;

         this.createUserName = null;

    }
}